| Opcode           | Instruction      | Op/En | 64-bit Mode | Compat/Leg Mode | Description                               |
| ---------------- | ---------------- | ----- | ----------- | --------------- | ----------------------------------------- |
| 24 ib            | AND AL, imm8     | I     | Valid       | Valid           | AL AND imm8.                              |
| 25 iw            | AND AX, imm16    | I     | Valid       | Valid           | AX AND imm16.                             |
| 25 id            | AND EAX, imm32   | I     | Valid       | Valid           | EAX AND imm32.                            |
| REX.W + 25 id    | AND RAX, imm32   | I     | Valid       | N.E.            | RAX AND imm32 sign-extended to 64-bits.   |
| 80 /4 ib         | AND r/m8, imm8   | MI    | Valid       | Valid           | r/m8 AND imm8.                            |
| REX + 80 /4 ib   | AND r/m8\*, imm8 | MI    | Valid       | N.E.            | r/m8 AND imm8.                            |
| 81 /4 iw         | AND r/m16, imm16 | MI    | Valid       | Valid           | r/m16 AND imm16.                          |
| 81 /4 id         | AND r/m32, imm32 | MI    | Valid       | Valid           | r/m32 AND imm32.                          |
| REX.W + 81 /4 id | AND r/m64, imm32 | MI    | Valid       | N.E.            | r/m64 AND imm32 sign extended to 64-bits. |
| 83 /4 ib         | AND r/m16, imm8  | MI    | Valid       | Valid           | r/m16 AND imm8 (sign-extended).           |
| 83 /4 ib         | AND r/m32, imm8  | MI    | Valid       | Valid           | r/m32 AND imm8 (sign-extended).           |
| REX.W + 83 /4 ib | AND r/m64, imm8  | MI    | Valid       | N.E.            | r/m64 AND imm8 (sign-extended).           |
| 20 /r            | AND r/m8, r8     | MR    | Valid       | Valid           | r/m8 AND r8.                              |
| REX + 20 /r      | AND r/m8\*, r8\* | MR    | Valid       | N.E.            | r/m64 AND r8 (sign-extended).             |
| 21 /r            | AND r/m16, r16   | MR    | Valid       | Valid           | r/m16 AND r16.                            |
| 21 /r            | AND r/m32, r32   | MR    | Valid       | Valid           | r/m32 AND r32.                            |
| REX.W + 21 /r    | AND r/m64, r64   | MR    | Valid       | N.E.            | r/m64 AND r32.                            |
| 22 /r            | AND r8, r/m8     | RM    | Valid       | Valid           | r8 AND r/m8.                              |
| REX + 22 /r      | AND r8*, r/m8\*  | RM    | Valid       | N.E.            | r/m64 AND r8 (sign-extended).             |
| 23 /r            | AND r16, r/m16   | RM    | Valid       | Valid           | r16 AND r/m16.                            |
| 23 /r            | AND r32, r/m32   | RM    | Valid       | Valid           | r32 AND r/m32.                            |
| REX.W + 23 /r    | AND r64, r/m64   | RM    | Valid       | N.E.            | r64 AND r/m64.                            |

> \* In 64-bit mode, r/m8 can not be encoded to access the following byte registers if a REX prefix is used: AH, BH, CH, DH.